changeset 426:17d5028e055c

updated init scripts to start-stop-daemons
author Marcin Kuzminski <marcin@python-works.com>
date Thu, 26 Aug 2010 17:28:11 +0200
parents 55ada111bca6
children dccf4b2226ec
files hg_app_daemon hg_app_daemon2 manage-hg_app
diffstat 3 files changed, 132 insertions(+), 35 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/hg_app_daemon	Thu Aug 26 17:28:11 2010 +0200
@@ -0,0 +1,60 @@
+#!/sbin/runscript
+########################################
+#### THIS IS AN GENTOO INIT.D SCRIPT####
+########################################
+
+APP_NAME="hg_app"
+APP_HOMEDIR="marcink/python_workspace"
+APP_PATH="/home/$APP_HOMEDIR/$APP_NAME"
+
+CONF_NAME="production.ini"
+
+PID_PATH="$APP_PATH/$APP_NAME.pid"
+LOG_PATH="$APP_PATH/$APP_NAME.log"
+
+PYTHON_PATH="/home/$APP_HOMEDIR/v-env"
+
+RUN_AS="marcink"
+
+DAEMON="$PYTHON_PATH/bin/paster"
+
+DAEMON_OPTS="serve --daemon \
+--user=$RUN_AS \
+--group=$RUN_AS \
+--pid-file=$PID_PATH \
+--log-file=$LOG_PATH  $APP_PATH/$CONF_NAME"
+
+#extra options
+opts="${opts} restartdelay"
+
+depend() {
+    need nginx
+}
+
+start() {
+    ebegin "Starting $APP_NAME"
+    cd $APP_PATH
+    start-stop-daemon --start --quiet\
+        --pidfile $PID_PATH \
+        --user $RUN_AS \
+        --exec $DAEMON -- $DAEMON_OPTS
+    eend $?
+}
+
+stop() {
+    ebegin "Stopping $APP_NAME"
+    start-stop-daemon --stop --quiet \
+        --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
+    if [ -f $PID_PATH ]; then
+        rm $PID_PATH
+    fi
+    eend $?
+}
+
+restartdelay() {
+    #stop()
+    echo "sleep3"
+    sleep 3
+    
+    #start()
+}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/hg_app_daemon2	Thu Aug 26 17:28:11 2010 +0200
@@ -0,0 +1,72 @@
+#!/bin/sh -e
+########################################
+#### THIS IS AN DEBIAN INIT.D SCRIPT####
+########################################
+
+### BEGIN INIT INFO
+# Provides:          hg-app          
+# Required-Start:    $all
+# Required-Stop:     $all
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: starts instance of hg-app
+# Description:       starts instance of hg-app using start-stop-daemon
+### END INIT INFO
+
+APP_NAME="hg_app"
+APP_HOMEDIR="marcink/python_workspace"
+APP_PATH="/home/$APP_HOMEDIR/$APP_NAME"
+
+CONF_NAME="production.ini"
+
+PID_PATH="$APP_PATH/$APP_NAME.pid"
+LOG_PATH="$APP_PATH/$APP_NAME.log"
+
+PYTHON_PATH="/home/$APP_HOMEDIR/v-env"
+
+RUN_AS="marcink"
+
+DAEMON="$PYTHON_PATH/bin/paster"
+
+DAEMON_OPTS="serve --daemon \
+--user=$RUN_AS \
+--group=$RUN_AS \
+--pid-file=$PID_PATH \
+--log-file=$LOG_PATH  $APP_PATH/$CONF_NAME"
+
+
+case "$1" in
+  start)
+    echo "Starting $APP_NAME"
+    cd $APP_PATH
+    start-stop-daemon --start --quiet\
+        --pidfile $PID_PATH \
+        --user $RUN_AS \
+        --exec $DAEMON -- $DAEMON_OPTS
+    ;;
+  stop)
+    echo "Stopping $APP_NAME"
+    start-stop-daemon --stop --quiet \
+        --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
+    if [ -f $PID_PATH ]; then
+        rm $PID_PATH
+    fi
+    ;;
+  restart)
+    echo "Restarting $APP_NAME"
+    #stop
+    start-stop-daemon --stop --quiet \
+        --pidfile $PID_PATH || echo "$APP_NAME - Not running!"
+    if [ -f $PID_PATH ]; then
+        rm $PID_PATH
+    fi
+    #start
+    start-stop-daemon --start --quiet\
+        --pidfile $PID_PATH \
+        --user $RUN_AS \
+        --exec $DAEMON -- $DAEMON_OPTS    
+    ;;
+  *)
+    echo "Usage: $0 {start|stop|restart}"
+    exit 1
+esac
\ No newline at end of file
--- a/manage-hg_app	Wed Aug 25 18:18:12 2010 +0200
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,35 +0,0 @@
-#!/bin/sh -e
-### BEGIN INIT INFO
-# Provides:         manage-hg_app          
-# Required-Start:    $all
-# Required-Stop:     $all
-# Default-Start:     2 3 4 5
-# Default-Stop:      0 1 6
-# Short-Description: starts pylons app
-# Description:       starts pylons app
-### END INIT INFO
-
-project_name=hg_app
-conf_name=production.ini
-project_path=/home/marcink/python_workspace/$project_name
-pid_path=$project_path
-log_path=$project_path
-virt_python=/home/marcink/virt_python
-run_user=root
-run_group=root
-
-cd $project_path
-case "$1" in
-  start)
-    $virt_python/bin/paster serve --daemon --user=$run_user --group=$run_group --pid-file=$pid_path/$project_name.pid --log-file=$log_path/$project_name.log $project_path/$conf_name start
-    ;;
-  stop)
-    $virt_python/bin/paster serve --daemon --user=$run_user --group=$run_group --pid-file=$pid_path/$project_name.pid --log-file=$log_path/$project_namete.log $project_path/$conf_name stop
-    ;;
-  restart)
-    $virt_python/bin/paster serve --daemon --user=$run_user --group=$run_group --pid-file=$pid_path/$project_name.pid --log-file=$log_path/$project_name.log $project_path/$conf_name restart
-    ;;
-  *)
-    echo "Usage: $0 {start|stop|restart}"
-    exit 1
-esac
\ No newline at end of file